* {
  margin: 0;
  padding: 0;
}

.main {
  min-height: 100vh;
  width: 100%;
  background-color: #2c2c2c;
  display: flex;
  flex-direction: column;
  overflow: hidden;
}

.hi {
  color: #c0c0c099;
  font-weight: 500;
  font-style: italic;
  font-size: 75px;
  margin-top: 10px;
  margin-left: 53px;
}

.name {
  font-size: 120px;
  font-weight: 800;
  color: #e5e4e2;
  margin-left: 53px;
  position: relative;
  width: fit-content;
  z-index: 0;
}

.name::after {
  content: "";
  position: absolute;
  left: 0;
  bottom: 0;
  height: 3px;
  width: 0%;
  background-color: #fff;
  transition: all ease 2s;
}

.name:hover::after {
  width: 100%;
}

.position {
  padding-top: 60px;
  font-size: 100px;
  color: #f8f8ff;
  margin-left: 50px;
  /* padding-left: 80px;
  padding-right: 80px; */
}

.heading {
  /* display: flex;
    justify-content: center; */
  text-align: center;
  color: #f8f8ff;
  letter-spacing: -2%;
  font-size: 75px;
  font-weight: 400;
  padding-top: 80px;
  margin-top: 80px;
  margin-bottom: 50px;
}

.hero {
  position: relative;
  background-image: url(grid.png);
  background-repeat: no-repeat;
  background-size: contain;
  background-position: right;
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
}

.dot {
  background-image: url(smalldot.png);
  background-position: top;
  height: 153px;
  width: 183px;
  background-repeat: no-repeat;
  padding-top: 0px;
  padding-left: 1350px;
  opacity: 0.85;
}

.circle {
  background-image: url(halfring.png);
  background-size: contain;
  height: 278px;
  width: 278px;
  background-repeat: no-repeat;
  position: absolute;
  top: -90px;
  left: -50px;
}

.full-circle {
  background-image: url(full-circle.png);
  height: 278px;
  width: 278px;
  position: absolute;
  top: 300px;
  left: 70px;
  opacity: 0.55;
  z-index: 1;
}

.dot-corner {
  background-image: url(dot-corner.png);
  background-repeat: no-repeat;
  height: 200px;
  width: 272px;
  top: 450px;
  left: 1304px;
  position: absolute;
}

body {
  overflow-x: hidden;
}

.tech-icons {
  display: flex;
  justify-content: center;
  justify-content: space-evenly;
}

.tech-icons i {
  font-size: 90px;
  padding-top: 50px;
  color: #97979b;
}

.tech-icons i:hover {
  transition: 0.5s ease;
  transform: scale(1.2);
}

.contact {
  margin-top: 80px;
  color: #f8f8ff;
  font-size: 75px;
  text-align: center;
  font-weight: 400;
  margin-bottom: 50px;
}

.images {
  margin-top: 80px;
  display: flex;
  justify-content: center;
  gap: 80px;
}

.images img {
  width: 85px;
}

.images img:hover {
  transition: 0.5s ease;
  transform: scale(1.2);
}

.headingabtme {
  margin-top: 120px;
  color: #f8f8ff;
  font-size: 75px;
  text-align: center;
  font-weight: 400;
  margin-bottom: 50px;
}

.content {
  font-size: 30px;
  font-weight: 400;
  color: #f8f8ff99;
  margin: 40px auto;
  max-width: 1000px;
  text-align: center;
  line-height: 1.6;
}

.cards {
  /* border: 2px solid black; */
  /* height: 100vh; */
  width: 100%;
  display: grid;
  justify-content: center;
  grid-template-columns: repeat(3, 300px);
  gap: 80px;
}
.box {
  border: 2px solid black;
  aspect-ratio: 4 / 3;
  width: 300px;
}

#box1 {
  background-image: url(googleswags.jpeg);
  background-repeat: no-repeat;
  background-size: contain;
  background-color: #111;
  position: relative;
  background-position: center;
  border: 5px solid grey;
  border-radius: 10px;
  overflow: hidden;
  box-shadow: -10px 10px 20px rgb(0, 0, 0);
}

#box1:hover:after {
  content: "Google Cloud Arcade Program  Completed real-world cloud challenges and earned Arcade Novice recognition.";
  transition: 2s ease;
  color: rgb(0, 0, 0);
  position: absolute;
  background-color: #9e9e9e;
  bottom: 0;
  width: 99%;
  text-align: center;
  border: 2px solid white;
  border-radius: 10px;
}

#box2 {
  background-image: url(ibmai.png);
  background-repeat: no-repeat;
  background-size: contain;
  background-color: #111;
  position: relative;
  background-position: center;
  border: 5px solid grey;
  border-radius: 10px;
  overflow: hidden;
  box-shadow: -10px 10px 20px rgb(0, 0, 0);
}

#box2:hover:after {
  content: "Gained strong understanding of core AI concepts, practical use cases, and ethical AI practices from IBM SkillsBuild.";
  transition: 2s ease;
  color: rgb(0, 0, 0);
  position: absolute;
  background-color: #9e9e9e;
  bottom: 0;
  width: 99%;
  text-align: center;
  border: 2px solid white;
  border-radius: 10px;
}

#box3 {
  background-image: url(ibmintern.png);
  background-repeat: no-repeat;
  background-size: cover;
  background-color: #111;
  position: relative;
  background-position: top;
  border: 5px solid grey;
  border-radius: 10px;
  overflow: hidden;
  box-shadow: -10px 10px 20px rgb(0, 0, 0);
}

#box3:hover:after {
  content: "Completed a 6-week AI internship with AICTE and IBM SkillsBuild, appreciated by IBM for active participation and performance.";
  transition: 2s ease;
  color: rgb(0, 0, 0);
  position: absolute;
  background-color: #9e9e9e;
  bottom: 0;
  width: 99%;
  text-align: center;
  border: 2px solid white;
  border-radius: 10px;
}

#box4 {
  background-image: url(generativeai.png);
  background-repeat: no-repeat;
  background-size: cover;
  background-color: #111;
  position: relative;
  background-position: center;
  border: 5px solid grey;
  border-radius: 10px;
  overflow: hidden;
  box-shadow: -10px 10px 20px rgb(0, 0, 0);
}

#box4:hover:after {
  content: "Microsoft & LinkedIn certified in Generative AI fundamentals, covering AI concepts, ethics, and practical applications.";
  transition: 2s ease;
  color: rgb(0, 0, 0);
  position: absolute;
  background-color: #9e9e9e;
  bottom: 0;
  width: 99%;
  text-align: center;
  border: 2px solid white;
  border-radius: 10px;
}

#box5 {
  background-image: url(oracle.png);
  background-repeat: no-repeat;
  background-size: cover;
  background-color: #111;
  position: relative;
  background-position: center;
  border: 5px solid grey;
  border-radius: 10px;
  overflow: hidden;
  box-shadow: -10px 10px 20px rgb(0, 0, 0);
}

#box5:hover:after {
  content: "Oracle Certified AI Foundations Associate (OCI 2025), validating expertise in Artificial Intelligence fundamentals and Oracle Cloud Infrastructure services.";
  transition: 2s ease;
  color: rgb(0, 0, 0);
  position: absolute;
  background-color: #9e9e9e;
  bottom: 0;
  width: 99%;
  text-align: center;
  border: 2px solid white;
  border-radius: 10px;
}

#box6 {
  background-image: url(iitdelhi.png);
  background-repeat: no-repeat;
  background-size: cover;
  background-color: #111;
  position: relative;
  background-position: center;
  border: 5px solid grey;
  border-radius: 10px;
  overflow: hidden;
  box-shadow: -10px 10px 20px rgb(0, 0, 0);
}

#box6:hover:after {
  content: "Campus Ambassador for BECON’26, EDC IIT Delhi, driving student outreach and entrepreneurial engagement.";
  transition: 2s ease;
  color: rgb(0, 0, 0);
  position: absolute;
  background-color: #9e9e9e;
  bottom: 0;
  width: 99%;
  text-align: center;
  border: 2px solid white;
  border-radius: 10px;
}

.headcert {
  text-align: center;
  color: #f8f8ff;
  font-size: 75px;
  margin-top: 80px;
  margin-bottom: 50px;
}

@media (max-width: 1000px) {
  .cards {
    margin-left: 40px;
    gap: 70px;
    align-items: center;
    flex-direction: column;
    display: grid;
    grid-template-columns: 1fr 1fr;
  }

  .images {
    margin-top: 80px;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    gap: 50px;
  }

  .headcert {
    text-align: center;
    color: #f8f8ff;
    font-size: 60px;
    margin-top: 80px;
    margin-bottom: 50px;
  }

  .tech-icons i {
    font-size: 50px;
    color: #97979b;
  }

  .heading {
    text-align: center;
    color: #f8f8ff;
    letter-spacing: -2%;
    font-size: 60px;
    font-weight: 400;
    padding-top: 80px;
    margin-top: 80px;
  }

  .headingabtme {
    margin-top: 120px;
    color: #f8f8ff;
    font-size: 60px;
    text-align: center;
    font-weight: 400;
    margin-bottom: 50px;
  }
  .name {
    font-size: 60px;
    font-weight: 800;
    color: #e5e4e2;
    margin-left: 53px;
    position: relative;
    width: -webkit-fit-content;
    width: -moz-fit-content;
    width: fit-content;
    z-index: 0;
  }

  .contact {
    margin-top: 80px;
    color: #f8f8ff;
    font-size: 60px;
    text-align: center;
    font-weight: 400;
    margin-bottom: 50px;
  }

  .position {
    padding-top: 60px;
    font-size: 60px;
    color: #f8f8ff;
    margin-left: 50px;
  }
  .hero {
    position: relative;
    background-image: url(grid.png);
    background-repeat: no-repeat;
    background-size: 500px;
    background-position: right;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    -webkit-box-pack: end;
    -ms-flex-pack: end;
    justify-content: flex-end;
  }
  .full-circle {
    background-image: url(full-circle.png);
    height: 278px;
    width: 278px;
    position: absolute;
    top: 250px;
    left: 70px;
    opacity: 0.55;
    z-index: 1;
  }
}

@media (max-width: 750px) {
  .dot {
    background-image: url(smalldot.png);
    background-position: top;
    height: 153px;
    width: 183px;
    background-repeat: no-repeat;
    padding-top: 0px;
    padding-left: 750px;
    opacity: 0.85;
  }
  .position {
    padding-top: 40px;
    font-size: 50px;
    color: #f8f8ff;
    margin-left: 50px;
  }

  .name {
    font-size: 50px;
    font-weight: 800;
    color: #e5e4e2;
    margin-left: 53px;
    position: relative;
    width: -webkit-fit-content;
    width: -moz-fit-content;
    width: fit-content;
    z-index: 0;
  }
  .hi {
    color: #c0c0c099;
    font-weight: 500;
    font-style: italic;
    font-size: 65px;
    margin-top: 10px;
    margin-left: 53px;
  }

  .full-circle {
    background-image: url(full-circle.png);
    height: 278px;
    width: 278px;
    position: absolute;
    top: 200px;
    left: 70px;
    opacity: 0.55;
    z-index: 1;
  }
  .position {
    padding-top: 30px;
    font-size: 50px;
    color: #f8f8ff;
    margin-left: 50px;
  }
  .cards {
    align-items: center;
    flex-direction: column;
    display: flex;
  }
}

@media (max-width: 450px) {
  .hi {
    color: #c0c0c099;
    font-weight: 500;
    font-style: italic;
    font-size: 45px;
    margin-top: 10px;
    margin-left: 50px;
  }
  .name {
    font-size: 40px;
    font-weight: 800;
    color: #e5e4e2;
    margin-left: 43px;
    position: relative;
    width: -webkit-fit-content;
    width: -moz-fit-content;
    width: fit-content;
    z-index: 0;
  }

  .position {
    padding-top: 30px;
    font-size: 40px;
    color: #f8f8ff;
    margin-left: 45px;
  }
  .dot {
    background-image: url(smalldot.png);
    background-position: top;
    height: 153px;
    width: 183px;
    background-repeat: no-repeat;
    padding-top: 0px;
    padding-left: 650px;
    opacity: 0.85;
  }

  .full-circle {
    background-image: url(full-circle.png);
    height: 178px;
    width: 278px;
    position: absolute;
    top: 200px;
    left: 70px;
    opacity: 0.45;
    z-index: 1;
  }
}
